﻿using System;
using System.Runtime.InteropServices;

class Program
{
    static void Main()
    {
        using var cloud = new PclPointCloud();
        cloud.Load("image_0000.pcd");

        using var voxel = new PclVoxelGrid();
        voxel.SetLeafSize(0.2f, 0.2f, 0.2f);
        voxel.SetInputCloud(cloud);

        using var filtered = voxel.Filter();
        filtered.Save("output.pcd");
    }
}